%define name cpufreqd
%define version 1.0.1
%define release 1mdk
%define lib_name %mklibname %name 

Name: %{name}
Summary: CPU frequency scaling daemon
Version: %{version}
Release: %{release}
Group: System/Kernel and hardware
Source: %{name}-%{version}.tar.bz2
Source1: %{name}.init.mdk.bz2
Patch0: %{name}.Makefile.patch.bz2
Url: http://sourceforge.net/projects/cpufreqd/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
PreReq: rpm-helper
Buildrequires: automake1.7
Requires: %{lib_name} = %{version}-%{release}

%description
cpufreqd is meant to be a replacement of the speedstep applet you
can find on some other OS, it monitors battery level, AC state and
running programs and adjusts the frequency of the processor according to
a set of rules specified in the config file (see cpufreqd.conf (5)).

It works only a kernel patched with the cpufreq patch, such as the 
standard mandrake kernel.
You also need a supported processor, often found in laptop computer.


%package -n %{lib_name}
Provides: %{lib_name} = %{version}
Summary: Library for %{name}
Group: System/Kernel and hardware
%description -n %{lib_name}
This packages contains the library needed
by %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch -p1
#(misc) Patch on the makefile, needed to recreate it.
aclocal
autoconf
automake
%configure2_5x 

%build
%make

%install

%{__rm} -rf ${RPM_BUILD_ROOT}

%makeinstall

%{__install} -d $RPM_BUILD_ROOT{%{_sysconfdir}/sysconfig,%{_initrddir}}
%{__bzip2} -dc %{SOURCE1} > $RPM_BUILD_ROOT/%{_initrddir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING INSTALL README TODO
%attr(755,root,root) %{_bindir}/cpufreqd
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/cpufreqd.conf
%config(noreplace) %attr(755,root,root) %{_initrddir}/%{name}
%attr(644,root,root) %{_mandir}/*/*

%files -n %{lib_name}
%defattr(-,root,root,0755)
%{_libdir}/*

%changelog

* Thu Aug 28 2003 Michael Scherer <scherer.michael@free.fr> 1.0.1-1mdk
- 1.0.1, fix bug on acpi and amd
 
* Mon Aug 25 2003 Michael Scherer <scherer.michael@free.fr> 1.0-2mdk
- package essential library ( /me sucks )
 
* Tue Aug 05 2003 Michael Scherer <scherer.michael@free.fr> 1.0-1mdk
- initial spec for Mandrake cooker.
